Package pyxb :: Package binding :: Module generate :: Class ReferenceLiteral |
[hide private]
[frames] | no frames]

# type ReferenceLiteral

source code

    object --+
             |
            ReferenceLiteral

Known Subclasses:
  - ReferenceEnumerationMember
  - , ReferenceExpandedName
  - , ReferenceFacet
  - , ReferenceFacetMember
  - , ReferenceNamespace
  - , ReferenceSchemaComponent
  - , ReferenceWildcard

Base class for something that requires fairly complex activity in order to generate its literal value.

Instance Methods | [hide private]
__init__(self, **kw) | source code
setLiteral(self, literal) | source code
asLiteral(self) | source code
_addTypePrefix(self, text, **kw) | source code

Class Variables | [hide private]
| __ownerClass = `None`
| __literal = `None`

Method Details | [hide private]

### __init__(self, **kw) (Constructor) | source code
Overrides: object.__init__ (inherited documentation)